Gem::Specification.new do |s|
  s.name        = 'ruby_proba'
  s.version     = File.read("version")
  s.date        = Time.now.getgm.to_s.split.first
  s.summary     = File.read("CHANGELOG").match(/^v[^\n]+\n(((\t|  )[^\n]+\n)+)/m)[1].split("\t").join
  s.description = 'Implementation of normale distribution, binomial distribution'
  s.authors     = ['Nephos (poulet_a)']
  s.email       = ['arthur.poulet@mailoo.org']
  s.files       = %w(
  lib/ruby_proba.rb

  README.md
  CHANGELOG

  Gemfile
  Gemfile.lock
  ruby_proba.gemspec
  version

  certs/nephos.pem
  )
  s.executables = %w(
  )
  s.homepage    = 'https://github.com/Nephos/RubyProba'
  s.license     = 'WTFPL'

  s.cert_chain  = ['certs/nephos.pem']
  s.signing_key = File.expand_path('~/.ssh/gem-private_key.pem') if $0 =~ /gem\z/

  s.add_dependency 'nomorebeer', '~> 1.1'
  s.add_dependency 'normale_distribution', '~> 0'
  s.add_dependency 'binomial_distribution', '~> 0'

end
